import { BaseEntity } from './../../shared';

export class PoSKG implements BaseEntity {
    constructor(
        public id?: number,
        public DO_NUM?: string,
        public DO_DATE?: string,
        public DO_CODE?: string,
        public DO_REFER?: string,
        public DO_DREFER?: string,
        public DO_STAT?: string,
        public DO_DSTAT?: string,
        public CUST_CODE?: string,
        public CUST_GRUP?: string,
        public CUST_AREA?: string,
        public CUST_WIL?: string,
        public SLSM_CODE?: string,
        public DO_PPN?: number,
        public DO_SPAY?: string,
        public DO_DUE?: string,
        public DO_BVAL?: number,
        public DO_DISC?: number,
        public DO_BDISC?: number,
        public DO_BDIS2?: number,
        public DO_BDIS3?: number,
        public DO_CXDIS?: number,
        public DO_PXDIS?: number,
        public DO_CDISC?: number,
        public DO_PCDIS?: number,
        public DO_EDISC?: number,
        public DO_TITEM?: number,
        public DO_MTR?: number,
        public DO_ENTRY?: string,
        public DO_TENTR?: string,
        public DO_APPR?: string,
        public DO_TAPPR?: string,
        public PICK_CODE?: string,
        public DO_PTIME?: string,
        public SLTR_CODE?: string,
        public SLTR_NUM?: string,
        public SLTR_DATE?: string,
        public CUST_RAY?: string,
        public DOC_COUNT?: string,
        public DO_VALID?: string,
        public cbmPO?: number,
        public qtyPO?: number,
        public cbmRNC?: number,
        public qtyRNC?: number,
        public spp_num?: string,
        public useraccket1?: string,
        public useraccket2?: string,
        public useraccket3?: string,
        public useraccket4?: string,
        public useraccket5?: string,
        public Cust_AKLimit?: number,
        public userACC?: string,
        public UserACC1?: string,
        public UserACC2?: string,
        public UserACC3?: string,
        public UserACC4?: string,
        public UserACC5?: string,
        public UserACCV1?: string,
        public UserACCV2?: string,
        public UserACCV3?: string,
        public UserACCV4?: string,
        public UserACCV5?: string,
        public rm?: string,
        public sor?: string,
        public uprd?: string,
        public distributor?: string,
        public alamat?: string,
        public total?: number,
    ) {
    }
}

export class DetailPOSkg {
    constructor(
        public DO_NUM?: string,
        public DO_CODE?: string,
        public ITEM_GRUP?: string,
        public ITEM_CODE?: string,
        public ITEM_BATNO?: string,
        public ITEM_EXP_D?: string,
        public ITEM_SPEC?: string,
        public PRICE_TYPE?: string,
        public DO_ISTS?: string,
        public DO_IKON?: string,
        public DO_IQTY?: number,
        public DO_IUOC?: string,
        public DO_IPRC?: number,
        public DO_XDISC?: number,
        public DO_XDISP?: number,
        public DO_XDISR?: number,
        public DO_UNIT?: number,
        public DO_IDISC?: number,
        public DO_IDISP?: number,
        public DO_IDISR?: number,
        public DO_XDIS2?: number,
        public DO_XDIS3?: number,
        public UOC_1?: string,
        public UOC_2?: string,
        public UOC_3?: string,
        public UOM_1?: number,
        public UOM_2?: number,
        public UOM_3?: number,
        public COGS?: number,
        public UNIT_RCV?: number,
        public cbmPO?: number,
        public qtyPO?: number,
        public targetDist?: number,
        public stokDist?: number,
        public rataDist?: number,
        public kdproduk?: string,
        public namaproduk?: string,
        public qty?: number,
        public satuan?: string,
        public total?: number,
        public bonus?: string,
    ) { }
}
